### Method

# Adw ToolbarView set_reveal_top_bars

since: 1.4

#### Declaration [src]

    void
    adw_toolbar_view_set_reveal_top_bars (
      AdwToolbarView* self,
      gboolean reveal
    )

#### Description [src]

Sets whether top bars are revealed for `self`.

The transition will be animated.

This can be used in combination with `AdwToolbarView:extend-content-to-top-edge` to show and hide toolbars in fullscreen.

See `adw_toolbar_view_set_reveal_bottom_bars()`.

Available since: 1.4

Sets property | `Adw.ToolbarView:reveal-top-bars`

#### Parameters

`reveal`

  Type: `gboolean`

  Whether to reveal top bars.